# Project information
site_name: ETSI SDG OSL Documentation
site_description: ETSI SDG OSL Documentation page
site_author: OpenSlice by ETSI
site_url: https://osl.etsi.org/

# Repository
repo_name: OSL GitLab
repo_url: https://labs.etsi.org/rep/osl
edit_uri: ""
docs_dir: doc

# edit_uri: edit/docs-revamp/docs/
# edit_uri: blob/docs-revamp/docs/

# remote_name: origin
# remote_branch: gh-pages

# Theme and overrides, i.e. language partial
# https://squidfunk.github.io/mkdocs-material/creating-your-site/
theme:
  name: material

  # Don't include MkDocs' JavaScript
  #include_search_page: false
  #search_index_only: true

  # Default values, taken from mkdocs_theme.yml
  language: en
#  feature:
#    tabs: true
  features:
  - navigation.instant
  - navigation.instant.progress
  - navigation.top
  - navigation.footer
  - navigation.path
  - search
  - search.highlight

  palette:
    primary: 'teal'
    accent: 'blue'

  logo: 'images/logo_osl_square.png'

  icon:
    repo: fontawesome/brands/gitlab

# Copyright
copyright: "Copyright &copy; 2019-2023 Openslice Project"

# Options
extra:
#  search:
#    languages: "en"
  social:
    - icon: fontawesome/solid/globe
      link: https://osl.etsi.org/
    - icon: fontawesome/brands/gitlab
      link: https://labs.etsi.org/rep/osl
    - icon: fontawesome/brands/linkedin
      link: https://www.linkedin.com/company/openslice/
    - icon: fontawesome/brands/x-twitter
      link: https://twitter.com/OpensliceOSS
  version:
    provider: mike

# Page tree
nav:
  - Overview:
      - Introduction: index.md
  - Getting Started:
      - Deployment/Installation: deployment.md
      - NFV Orchestrator Configuration: nfvoconfig.md
      - Service Catalogs: catalogs.md
      - NFV Catalogs: nfvcatalogs.md
      - LCM Rules: lcm.md
      - Consuming Services From External OSS: ./architecture/consumingServicesFromExternalPartners.md
      - Service Inventory: service_inventory.md
      - Alarms and Actions: alarms_actions.md
  - Design & Architecture:
      - Architecture: ./architecture/architecture.md
      - Message bus: ./architecture/messagebus.md
      - OSOM: ./architecture/osom.md
      - Authentication: ./architecture/oauth.md
      - TMF API: ./architecture/tmfapi.md
      - NFV API: ./architecture/nfvapi.md
      - TMF WEB: ./architecture/tmfweb.md
      - NFV WEB: ./architecture/nfvweb.md
      - Issue management: ./architecture/issuemgt.md
      - Central logging: ./architecture/centrallog.md
  - Contributing:
      - Developing: ./contributing/developing.md
